Subject: Re: bug#22120: Another backtrace

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Dec 2015 21:30:01 +0200

> From: Eric Hanchrow <[email-masked]>
> Date: Thu, 10 Dec 2015 19:15:52 +0000
> Cc: [email-masked]
> 
>     Can you try reproducing this in an unoptimized build?
> 
> I was under the impression that this build _was_ unoptimized (so I was
> surprised to see those variables "optimized out"). I configured with 
> 
> $ ./configure --enable-checking --enable-check-lisp-object-type --config-cache
> CFLAGS=-Og -g3
> 
> Maybe I should add -O0 to CFLAGS.

Yes, please.  -Og does not prevent all of the optimizations, it just
prevents some of the more aggressive ones.

> (I got those options from a recent thread on emacs-devel about a
> proposed new file etc/DEBUG).

You may wish to re-read the beginning of that file, it says more about
this now ;-)

Thanks.